XSGrammarPool (Xerces2 Implementation)
Date: 2018-10-17

org.apache.xerces.impl.xs.util

## Class XSGrammarPool

- java.lang.Object
- - org.apache.xerces.util.XMLGrammarPoolImpl
  - - org.apache.xerces.impl.xs.util.XSGrammarPool

- All Implemented Interfaces:
    org.apache.xerces.xni.grammars.XMLGrammarPool

      public class XSGrammarPool
      extends XMLGrammarPoolImpl

  Add a method that return an `XSModel` that represents components in the schema grammars in this pool implementation.
  Version:
    $Id: XSGrammarPool.java 770963 2009-05-02 15:27:54Z mrglavas $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.xerces.util.XMLGrammarPoolImpl

      `XMLGrammarPoolImpl.Entry`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.util.XMLGrammarPoolImpl

      `fGrammarCount, fGrammars, fPoolIsLocked, TABLE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSGrammarPool()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xerces.xs.XSModel` | `toXSModel()` Return an `XSModel` that represents components in the schema grammars in this pool implementation.
    `protected org.apache.xerces.xs.XSModel` | `toXSModel(SchemaGrammar[] grammars, short schemaVersion)`
    `org.apache.xerces.xs.XSModel` | `toXSModel(short schemaVersion)`

    - ### Methods inherited from class org.apache.xerces.util.XMLGrammarPoolImpl

      `cacheGrammars, clear, containsGrammar, equals, getGrammar, hashCode, lockPool, putGrammar, removeGrammar, retrieveGrammar, retrieveInitialGrammarSet, unlockPool`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSGrammarPool

          public XSGrammarPool()

  - ### Method Detail

    - #### toXSModel

          public org.apache.xerces.xs.XSModel toXSModel()

      Return an `XSModel` that represents components in the schema grammars in this pool implementation.
      Returns:
        an `XSModel` representing this schema grammar

    - #### toXSModel

          public org.apache.xerces.xs.XSModel toXSModel(short schemaVersion)

    - #### toXSModel

          protected org.apache.xerces.xs.XSModel toXSModel(SchemaGrammar[] grammars,
                                                           short schemaVersion)

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.